Subject: Re: [PATCH net-next] selftests: drv-net: port_split: convert to ksft format and mark disruptive

From: Petr Machata <[email-masked]>
Date: Mon, 9 Feb 2026 11:16:30 +0100

Danielle Ratson <[email-masked]> writes:

> From: Jakub Kicinski <[email-masked]>
>>
>> The devlink port split test is included in the HW tests, but it does not obey our
>> KSFT_DISRUPTIVE marking.
>> If someone tries to run driver tests over SSH on a device that supports port
>> splitting the outcome will be loss of connectivity.
>> 
>> Convert the test to conform to our "driver test environment".
>> Mark it as disruptive.
>
> Few comments:
>
> 1. Before the change we simply ran the test without extra info, like that:
> $ ./devlink_port_split.py
>
> Now the new infrastructure requires to run with:
> $ NETIF=swp1 ./devlink_port_split.py
>
> While swp1 is an example for some interface in the machine using to indicate the real target device.
>
> Otherwise, the test fails- if no NETIF is configured, the framework
> defaults to netdevsim (SW mode), and since the test sets
> 'nsim_test=False', it emits an error.
>
> So the new change, breaks the way the test was running by now.
>
> However, I managed to work around that by adding a configuration file
> to the selftests dir:
>
> $ cat drivers/net/hw/net.config
> NETIF=swp1

I see three devlink port_split users: mlxsw, nfp, and ice. mlxsw is us,
and I think we can work around the change using the config file. nfp is
you, Jakub, and I suppose you didn't hit the problem to begin with.

That leaves Intel (CC'd) and I'm not sure if they are running the test
in regression (or at all) and whether they would have an issue with the
change.

As far as I'm concerned the change is not hard to adapt to, and it makes
things regular, which is good.